Campaigns Statistics
http
GET /adv/v3/fullstatsBase URL: https://advert-api.wildberries.ru · Module: promotion · Section: Statistics · Specification doc ↗
The method generates statistics for campaigns, regardless of their type.
The maximum period in a request is 31 days.
For campaigns in statuses 7, 9 and 11.
Request limit per one seller account:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 1 min | 3 requests | 20 s | 1 request |
| Service | 1 min | 3 requests | 20 s | 1 request |
| Base with secret | 1 min | 3 requests | 20 s | 1 request |
| Base | 1 h | 1 request | 1 h | 1 request |
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
ids | query | string | yes | Campaign IDs, maximum 50 values |
beginDate | query | string | yes | Start date for the interval |
endDate | query | string | yes | End date for the interval |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | GetV3FullstatsResponse200 |
400 | Bad request | FullStatsError |
401 | Unauthorized | object |
403 | Access denied | object |
429 | Too many requests | object |
Structure 200 — FullStatsItem[]:
advertIdinteger<int64>— Campaign IDatbsinteger<int64>— Number of items added to the cartboosterStatsobject[]— Statistics on the average position (for campaigns with standard bid)avg_positioninteger<int64>— Average position of the itemdatestring— Date for which information is to be providednminteger<int64>— WB item number
canceledinteger<int64>— Cancellations, pcsclicksinteger<int64>— Number of clickscpcnumber<double>— Average cost per click in the base units of the seller account currencycrnumber<double>— CR (conversion rate) — the ratio of the number of orders to the total number of clicksctrnumber<double>— CTR (click-through rate) — the ratio of clicks to impressions, expressed as a percentagedaysobject[]— Statistics by daysappsobject[]— Information block about the platformappTypeinteger<int64>=1|32|64— Platform type -1— website -32— Android -64— IOSatbsinteger<int64>— Number of items added to the cartcanceledinteger<int64>— Cancellations, pcsclicksinteger<int64>— Number of clickscpcnumber— Average cost per click in the base units of the seller account currencycrnumber— CR (conversion rate) is the ratio of the number of orders to the total number of clicksctrnumber— CTR (click-through rate) is the ratio of clicks to impressions, expressed as a percentagenmsobject[]— Statistics block for WB item numbersatbsinteger<int64>— Number of items added to the cartcanceledinteger<int64>— Cancellations, pcsclicksinteger<int64>— Number of clickscpcnumber— Average cost per click in the base units of the seller account currencycrnumber— CR (conversion rate) is the ratio of the number of orders to the total number of clicksctrnumber— CTR (click-through rate) is the ratio of clicks to impressions, expressed as a percentagenamestring— Item namenmIdinteger<int64>— WB item numberordersinteger<int64>— Number of ordersshksinteger<int64>— Number of ordered items, pcssumnumber— Costs in the base units of the seller account currencysum_pricenumber— Orders amount in the base units of the seller account currencyviewsinteger<int64>— Number of views
ordersinteger<int64>— Number of ordersshksinteger<int64>— Number of ordered items, pcssumnumber— Costs in the base units of the seller account currencysum_pricenumber— Orders amount in the base units of the seller account currencyviewsinteger<int64>— Number of views
atbsinteger<int64>— Number of items added to the cartcanceledinteger<int64>— Cancellations, pcsdatestring— Date for which the data is presentedclicksinteger<int64>— Number of clickscpcnumber— Average cost per click in the base units of the seller account currency.crnumber— CR (conversion rate) is the ratio of the number of orders to the total number of visits to the campaignctrnumber— CTR (click-through rate) is the ratio of clicks to impressions, expressed as a percentageordersinteger<int64>— Number of ordersshksinteger<int64>— Number of ordered items, pcssumnumber— Costs in the base units of the seller account currencysum_pricenumber— Orders amount in the base units of the seller account currencyviewsinteger<int64>— Number of views
ordersinteger<int64>— Number of ordersshksinteger<int64>— Number of ordered items, pcssumnumber<double>— Costs in the base units of the seller account currencysum_pricenumber<double>— Orders amount in the base units of the seller account currencyviewsinteger<int64>— Number of viewscurrencystring<ISO 4217>— Currency of the seller account currency
Structure 400:
errorsobject[]detailstring— Error detailsfieldstring— Parameter with error
detailstring— Error detailsoriginstring— WB internal service IDrequest_idstring— Request IDstatusinteger<int64>— HTTP status codetitlestring— Error titletypestring— Error type
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 403:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.promotion import Configuration, ApiClient
from wb_api_client.promotion.api import PromotionApi
cfg = Configuration(access_token="<your WB JWT>")
api = PromotionApi(ApiClient(cfg))
result = api.get_v3_fullstats(ids=..., begin_date=..., end_date=...)
print(result)ts
import {
Configuration,
PromotionApi,
} from "@valeryverkhoturov/wb-api-client/promotion";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new PromotionApi(cfg);
const { data } = await api.getV3Fullstats(ids, beginDate, endDate);
console.log(data);go
import (
"context"
"fmt"
wbpromotion "github.com/ValeryVerkhoturov/wb-api-client-go/promotion"
)
cfg := wbpromotion.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbpromotion.NewAPIClient(cfg)
result, _, err := client.PromotionAPI.GetV3Fullstats(context.Background()).Ids(ids).BeginDate(beginDate).EndDate(endDate).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.promotion.ApiClient;
import io.github.valeryverkhoturov.wbapi.promotion.SecretString;
import io.github.valeryverkhoturov.wbapi.promotion.api.PromotionApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
PromotionApi api = new PromotionApi(client);
System.out.println(api.getV3Fullstats(ids, beginDate, endDate));php
use ValeryVerkhoturov\WbApiClient\Promotion\Configuration;
use ValeryVerkhoturov\WbApiClient\Promotion\SecretString;
use ValeryVerkhoturov\WbApiClient\Promotion\Api\PromotionApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new PromotionApi(new Client(), $config);
print_r($api->getV3Fullstats($ids, $begin_date, $end_date));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый PromotionApi(Настройки);
Сообщить(Клиент.GetV3Fullstats(ids, beginDate, endDate).Тело);csharp
using ValeryVerkhoturov.WbApiClient.Promotion.Api;
using ValeryVerkhoturov.WbApiClient.Promotion.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new PromotionApi(config);
Console.WriteLine(api.GetV3Fullstats(ids, beginDate, endDate));rust
use wb_api_client::promotion::apis::{configuration::Configuration, promotion_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = promotion_api::get_v3_fullstats(&cfg, ids, begin_date, end_date).await;
println!("{:#?}", result);
}